> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List carrier invoice approval requests

> Retrieve a paginated list of carrier invoice approval requests with optional filtering and sorting.



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/carrier_invoice_approval_requests
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/carrier_invoice_approval_requests:
    get:
      tags:
        - Carrier Invoice Approval Requests
      summary: List carrier invoice approval requests
      description: >-
        Retrieve a paginated list of carrier invoice approval requests with
        optional filtering and sorting.
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  carrierInvoiceApprovalRequests:
                    items:
                      description: >-
                        Tracks carrier invoice approval requests with retry
                        logic and state management
                      nullable: false
                      properties:
                        carrierInvoice:
                          description: >-
                            Invoices (payables) received from carriers (e.g. via
                            email)
                          nullable: false
                          properties:
                            carrier:
                              description: columns and relationships of "carriers"
                              nullable: true
                              properties:
                                id:
                                  nullable: false
                                  title: String
                                  type: string
                                name:
                                  nullable: true
                                  title: String
                                  type: string
                              title: Carriers
                              type: object
                            invoiceNumber:
                              nullable: true
                              title: String
                              type: string
                            totalAmount:
                              nullable: true
                              title: Int
                              type: integer
                          title: CarrierInvoices
                          type: object
                        carrierInvoiceId:
                          nullable: false
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        id:
                          nullable: false
                          title: String
                          type: string
                        retryCount:
                          nullable: false
                          title: Int
                          type: integer
                        status:
                          $ref: >-
                            #/components/schemas/CarrierInvoiceApprovalRequestStatusEnum
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                      title: CarrierInvoiceApprovalRequest
                      type: object
                    nullable: false
                    type: array
          description: Responses for GET /api/rest/carrier_invoice_approval_requests
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CarrierInvoiceApprovalRequestStatusEnum:
      enum:
        - ABANDONED
        - FAILED
        - INITIATED
        - IN_PROGRESS
        - RETRYING
        - SUCCEEDED
      nullable: false
      title: CarrierInvoiceApprovalRequestStatusEnum

````